Subject: Re: [PATCH] gpio: add GPIOF_ values regardless on kconfig settings

From: Mark Brown <[email-masked]>
Date: Fri, 3 Jun 2011 18:18:37 +0100

On Fri, Jun 03, 2011 at 11:04:52AM -0600, Grant Likely wrote:

> I ended up not pushing this one to Linus.  Turns out it causes other
> breakage on other platforms that don't include include/linux/gpio.h.
> Since I don't have confidence that I'll be able to find all the
> offenders, I'm dropping it.  I recommend making any drivers that are

So, this originally came about because I pushed back on adding random
dependencies like this for features which are pretty much optional in
drivers - their use of GPIOs is totally optional and the dependencies
are just too fragile, leading to noise with all the randconfigs.  It
seems better to get the architectures to keep up with enhancements to
gpiolib (or convert to it) than to have to worry about this in drivers.

> breaking on these symbols depend on GPIOLIB.  Platforms not using
> gpiolib are strongly discouraged now anyways, and there only a handful
> of files in drivers/ that reference GPIOF_*.

That's more a result of it being a pretty new feature than anything else
I think.